summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author andy brookes2019-06-23 00:54:17 +0200
committer Willy Sudiarto Raharjo2019-06-23 00:54:17 +0200
commit52a7b2d7275d2a3ad5c66a786eade64db4f699e3 (patch)
tree5bb29d8f7bc0e9eed1c4b2fce22451233c97492d
parent3b8d1ea88318a903d9de39bfc5b10f76b38d292d (diff)
downloadslackbuilds-52a7b2d7275d2a3ad5c66a786eade64db4f699e3.tar.gz
academic/latex2html: Added (convert latex document).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/latex2html/README18
-rw-r--r--academic/latex2html/latex2html.SlackBuild106
-rw-r--r--academic/latex2html/latex2html.info10
-rw-r--r--academic/latex2html/slack-desc18
-rw-r--r--academic/latex2html/template.info10
5 files changed, 162 insertions, 0 deletions
diff --git a/academic/latex2html/README b/academic/latex2html/README
new file mode 100644
index 0000000000..006e06046c
--- /dev/null
+++ b/academic/latex2html/README
@@ -0,0 +1,18 @@
+LaTeX is a high-quality typesetting system; it includes features
+designed for the production of technical and scientific
+documentation. Latex2html is used for converting Latex files which
+nave a .tex suffix to html.
+
+a basic latex document looks like this:
+
+\documentclass{article}
+\begin{document}
+ Hello World!
+\end{document}
+
+if you save such a document say called helloworld.tex
+then to convert this document to html form, open a terminal
+and cd to where helloworld.tex is.
+
+Then its a simple as
+$latex2html helloworld.tex
diff --git a/academic/latex2html/latex2html.SlackBuild b/academic/latex2html/latex2html.SlackBuild
new file mode 100644
index 0000000000..a7e3b79019
--- /dev/null
+++ b/academic/latex2html/latex2html.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for latex2html
+
+# Copyright 2019 andrew brookes North East, UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=latex2html
+VERSION=${VERSION:-2019.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-perl=/usr/bin/perl \
+ --enable-eps \
+ --enable-gif \
+ --enable-png \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FAQ INSTALL LICENSE MANIFEST README.md TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/latex2html/latex2html.info b/academic/latex2html/latex2html.info
new file mode 100644
index 0000000000..b732075636
--- /dev/null
+++ b/academic/latex2html/latex2html.info
@@ -0,0 +1,10 @@
+PRGNAM="latex2html"
+VERSION="2019.2"
+HOMEPAGE="http://www.latex2html.org"
+DOWNLOAD="https://github.com/latex2html/latex2html/archive/v2019.2/latex2html-2019.2.tar.gz"
+MD5SUM="e9ca34903ac23a6f51385f05fa63c6eb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="andy brookes"
+EMAIL="andybrookestar@gmail.com"
diff --git a/academic/latex2html/slack-desc b/academic/latex2html/slack-desc
new file mode 100644
index 0000000000..d41797e5c3
--- /dev/null
+++ b/academic/latex2html/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+latex2html: latex2html (convert latex document)
+latex2html:
+latex2html: latex2html is a useful tool to convert latex documents to
+latex2html: html form.
+latex2html:
+latex2html:
+latex2html:
+latex2html:
+latex2html:
+latex2html:
diff --git a/academic/latex2html/template.info b/academic/latex2html/template.info
new file mode 100644
index 0000000000..6d39f7d415
--- /dev/null
+++ b/academic/latex2html/template.info
@@ -0,0 +1,10 @@
+PRGNAM="name of application"
+VERSION="version of application"
+HOMEPAGE="homepage of application"
+DOWNLOAD="direct download link(s) of application source tarball(s) arch-independent or x86"
+MD5SUM="md5sum(s) of the source tarball(s) defined in DOWNLOAD"
+DOWNLOAD_x86_64="direct download link(s) of application source tarball(s), x86_64 only"
+MD5SUM_x86_64="md5sum(s) of the source tarball(s) defined in DOWNLOAD_x86_64"
+REQUIRES="%README%"
+MAINTAINER="name of SlackBuild script maintainer"
+EMAIL="email address of author"